{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Test Pengetahuan Home</title>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<style>
.circlered {
    background-color:#fff;
    border:1px solid red;    
    height:200px;
    border-radius:50%;
    -moz-border-radius:50%;
    -webkit-border-radius:50%;
    width:200px;
}

table.center {
  border: 1px solid black;
  text-align: center;
}

.center {
  border: 1px solid black;
  text-align: center;
}
.circlegreen {
    background-color:#fff;
    border:1px solid green;    
    height:200px;
    border-radius:50%;
    -moz-border-radius:50%;
    -webkit-border-radius:50%;
    width:200px;
}
#rcorners {
  border-radius: 25px;
  background-color: #5390d9;
  padding: 20px;
  width: 400px;
  height: 150px;
}
h4{
	color:white;
}
</style>
{% endblock meta %}s

{% block content %}
<div style="margin-left:300px;margin-top: 50px;">
    {% if nilai > 70 %}
    <table>
    	<tr>
    		<td>
		    	<div class="circlegreen">
		    			<br>
		    			<h1 style="margin-left: 65px;margin-top: 55px;">{{nilai}}</h1>
				</div>
			</td>
			<td>
				<div style="margin-left: 250px;" id ="rcorners">
	    			<h4> Nilai anda sangat bagus </h4>
	    			<h4>Bagikan pengetahuan anda di Forum</h4>
	    		</div>
	    	</td>
	</tr>
	 </table>		
     <button type="button" onclick= "location.href='{% url 'forum:forum1' %}'" class="btn btn-primary btn-lg" id=tombol style="margin-left: 400px">Forum</button>
    {% endif %}
    {% if nilai <= 70 %}
    <table>
    	<tr>
    		<td>
		    	<div class="circlered">
		    			<br>
		    			<h1 style="margin-left: 65px;margin-top: 55px;">{{nilai}}</h1>
				</div>
			</td>
			<td>
				<div style="margin-left: 250px;" id ="rcorners">
	    			<h4> Nilai anda dapat ditingkatkan lagi </h4>
	    			<h4>Ayuk ikuti tes yang lain</h4>
	    		</div>
	    	</td>
	</tr>
	</table>
	{% endif %}
    <br><br><br>
    {% if user.is_authenticated %}
        <button type="button" onclick= "location.href= '{% url 'TestPengetahuan:ganti' %}'" class="btn btn-primary btn-lg" id=tombol style="margin-left: 200px">Tekan disini bila soal Terakhir sudah tidak relevan</button>
    {% endif %}
    <br><br>
{% if user.is_authenticated %}
    <button onclick="leaderboard()" class="btn btn-warning" style="margin-left:380px;">LeaderBoard</button>
    <br><br>
{% endif %}
<table id="daftarisi" class="center" style="margin-left:100px;width: 60%;">
</table> 
<script type="text/javascript">
    function leaderboard() {
        $.ajax({
            url: '/TestPengetahuan/leaderboard/',
            success: function(data){
                data=data.sort((a, b) => (a.fields.nilai < b.fields.nilai) ? 1 : -1)
                console.log(data)
                $("#daftarisi").empty();
                $("#daftarisi").append("<tr><th class='center'>Rank</th><th class='center'>Nama</th><th class='center'>Nilai</th></tr>");
                for(a=0;a<10;a++){
                    console.log(data[a]);
                    var nama = data[a].fields.userrname;
                    var nilai= data[a].fields.nilai;
                    var ranking=a+1
                    $("#daftarisi").append("<tr><td class='center'>"+ranking+"</td><td class='center'>"+nama+"</td><td class='center'>"+nilai+"</td></tr>");
                    if(data.length==a+1){
                        break;
                    }
                }
            }
        });
    };
</script>
</div>
<br>
{% endblock content %}